Summary:	A WindowMaker dock.app that displays a rotating Earth in an icon
Name:		wmglobe
Version: 1.3
Release: %mkrel 8
License:	GPL
Group:		Graphical desktop/WindowMaker

Source:		%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2

URL:		http://perso.linuxfr.org/jdumont/wmg/
BuildRequires:	WindowMaker-devel, xpm-devel, libpng-devel, libtiff-devel, libjpeg-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
WMGlobe is a WindowMaker dock.app that displays a rotating Earth in an icon.
It uses a map which is rendered on a sphere by raytracing. It is possible
to spin the Earth, to zoom in and out, etc.

%prep

%setup -q

%build
# Dadou - 1.1.alpha-4mdk - Use LMDK default optimizations
perl -pi -e "s|\-O2|%optflags|g" Makefile

%make

%install
install -d %buildroot/%_miconsdir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
tar xOjf %SOURCE1 16x16.png > %buildroot/%_miconsdir/%name.png
tar xOjf %SOURCE1 32x32.png > %buildroot/%_iconsdir/%name.png
tar xOjf %SOURCE1 48x48.png > %buildroot/%_liconsdir/%name.png

install -d %buildroot/%_bindir
install -d %buildroot/%_mandir/man1
install wmglobe %buildroot/%_bindir
install wmglobe.1 %buildroot/%_mandir/man1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%name.desktop
[Desktop Entry]
Type=Application
Exec=wmglobe -delay 0 -dlong 5 -bord 2
Icon=%{name}
Categories=Science;Astronomy;
Name=WmGlobe
Comment=A dock.app that displays a rotating Earth in an icon
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc README CHANGES
%_bindir/*
%attr(644,root,man) %_mandir/man1/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%{_datadir}/applications/mandriva-%name.desktop




%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-8mdv2009.0
+ Revision: 262052
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-7mdv2009.0
+ Revision: 256164
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3-5mdv2008.1
+ Revision: 135467
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import wmglobe


* Fri Oct 29 2004 Michael Scherer <misc@mandrake.org> 1.3-5mdk
- Rebuild
- Fix rpmlint error

* Fri Jul 18 2003 David BAUDENS <baudens@mandrakesoft.com> 1.3-4mdk
- Rebuild

* Mon Feb 11 2002 HA Quc-Vit <viet@mandrakesoft.com>  1.3-3mdk
- xpm icons converted to png

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.3-2mdk
- rebuild against libpng3

* Mon Aug 13 2001 HA Quc-Vit <viet@mandrakesoft.com>  1.3-1mdk
- new source release

* Tue Jul 31 2001 HA Quc-Vit <viet@mandrakesoft.com>  1.1.alpha-5mdk
- manpage now belongs to group man
- recompile with the libdockapp0 0.4.0-2mdk

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.alpha-4mdk
- Fix groupi
- %%setup -q
- Fix %%postun
- Use optimizations
- Use %%make macro
- Macros
- Spec clean up

* Thu Oct 26 2000 HA Quc-Vit <viet@mandrakesoft.com>  1.1.alpha-3mdk
- small fix in spec file

* Tue Aug 02 2000 HA Quc-Vit <viet@mandrakesoft.com>  1.1.alpha-2mdk
- menu entry added
- 16x16, 32x32 and 48x48 icons added from wmglobe's own pixmap
- better dependency coverage

* Wed Jul 12 2000 HA Quoc-Viet<viet@mandrakesoft.com>  1.1.alpha-1mdk
- Packaged against WindowMaker 0.62 (libwraster.so.2)

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com>  1.0-5mdk
- fix group

* Tue Jul 6 1999 G.Colbert <gregus@etudiant.net>
- Initial release.
- Tried to make this package "Linux-Mandrake" compliant (hence the patch).
- Please test this package deeply : this is my first RPM !
